<?php
// Tableau des codes postaux
$CP_DEPT = array (
    'CRETEIL'   => array ('CP' => 94000, 'DEPT' => 'Val-de-Marne'),
    'NICE'      => array ('CP' => 6000, 'DEPT' => 'Alpes-Maritimes'),
    'LA BAULE'  => array ('CP' => 44500, 'DEPT' => 'Loire-Atlantique'),
    'STRASBOURG'=> array ('CP' => 67000, 'DEPT' => 'Bas-Rhin'));
// affichage du tableau
echo '--- Affichage de $CP_DEPT ---'.PHP_EOL;
foreach($CP_DEPT as $codeville => $ligne_ville)
{
  echo "$codeville : \t";
  foreach($ligne_ville as $colonne => $valeur)
  {
    echo "[$colonne]:$valeur\t";
  }
  echo PHP_EOL;
}
echo PHP_EOL;
foreach($CP_DEPT as $codeville => $ligne_ville)
{ 
  // ---------------------------------------------------------
  // fonction array_values() sur chaque ligne
  // ---------------------------------------------------------
  $liste_donnees=array_values($ligne_ville);
  print_r($liste_donnees);
}
?>
